Package net.snowflake.client.util

## Class SecretDetector.SecretDetectorJSONStyle

- java.lang.Object
- - net.minidev.json.JSONStyle
  - - net.snowflake.client.util.SecretDetector.SecretDetectorJSONStyle

Enclosing class:
  SecretDetector

    public static class SecretDetector.SecretDetectorJSONStyle
    extends net.minidev.json.JSONStyle

### Field Summary

### Fields inherited from class net.minidev.json.JSONStyle

`FLAG_AGRESSIVE, FLAG_IGNORE_NULL, FLAG_PROTECT_4WEB, FLAG_PROTECT_KEYS, FLAG_PROTECT_VALUES, LT_COMPRESS, MAX_COMPRESS, NO_COMPRESS`

### Constructor Summary

Constructors
`SecretDetectorJSONStyle()`

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `arrayNextElm​(Appendable out)`
`void` `arrayStop​(Appendable out)`
`void` `objectNext​(Appendable out)`

### Methods inherited from class net.minidev.json.JSONStyle

`arrayfirstObject, arrayObjectEnd, arrayStart, escape, ignoreNull, indent, mustProtectKey, mustProtectValue, objectElmStop, objectEndOfKey, objectFirstStart, objectStart, objectStop, protect4Web, protectKeys, protectValues, writeString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### SecretDetectorJSONStyle

    public SecretDetectorJSONStyle()

### Method Detail

#### objectNext

    public void objectNext​(Appendable out)
                    throws IOException

Overrides:
  `objectNext` in class `net.minidev.json.JSONStyle`
Throws:
  `IOException`

#### arrayStop

    public void arrayStop​(Appendable out)
                   throws IOException

Overrides:
  `arrayStop` in class `net.minidev.json.JSONStyle`
Throws:
  `IOException`

#### arrayNextElm

    public void arrayNextElm​(Appendable out)
                      throws IOException

Overrides:
  `arrayNextElm` in class `net.minidev.json.JSONStyle`
Throws:
  `IOException`